Subject: Re: [bug#42734] Export android-platform-system-core

From: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Mon, 10 Aug 2020 05:27:50 +0200

On Mon, 10 Aug 2020 05:19:49 +0200
Denis 'GNUtoo' Carikli <[email-masked]> wrote:

> On Fri, 07 Aug 2020 07:33:03 -0400
> Julien Lepiller <[email-masked]> wrote:
> 
> > Unfortunately, android-platform-core should first be fixed to accept
> > a hash as an argument, otherwise any other version will fail. Don't
> > know why we haven't done that before…
> 
> I don't understand what the hash would be here, nor the consequences
> you describe. Do you have some pointers on the documentation or source
> code that I should read to better understand that?
> 
> By the way I find it a bit strange to refer to have to manually
> extract android-platform-system-core to be able to refer its include
> path.

> Instead of just that:
> > #:make-flags (list (string-append "CFLAGS= "
> >                    "-I " (assoc-ref %build-inputs "android-core")
> >                    "/include "))
> > [...]))
One way of doing that would be to create an android-system-core-header
package and reference that.

Does that look like a good idea?

Denis.